#pragma once

#include "socket.h"

class Node : public Plug
{
public:
	~Node();

	virtual int ReceiveNodeCommand(NodeCommandID, void *)	{ return 0; }

	virtual void ReleaseLinkHandler(Socket *, Plug *);

protected:
	Node(ClassID class_id = TrivialNodeClassID);
	Node(PlugStream *stream);
};